
Redmine - Defect #17843

Possible to delete issue even it is disabled in permissions

2014-09-11 11:09 - wojtek monka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.6

Description

I disabled delete persmissions in Redmine Permissions for all Roles but users are still able to delete them

Permissions > Issue tracking > Delete issues - unmarked

I tested with Developer and Manager.

Environment:

  Redmine version                2.4.6.stable

  Ruby version                   1.9.3-p0 (2011-10-30) [i686-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.17

  Cvs                            1.12.13

  Bazaar                         2.5.1

  Git                            1.7.9.5

  Filesystem                     

Redmine plugins:

  a_common_libs                  0.0.1

  single_auth                    1.0

History

#1 - 2014-09-12 04:27 - Mischa The Evil

- Status changed from New to Needs feedback

I did a quick test on current trunk but wasn't able to reproduce. Are you testing this with a user account that is marked as an administrator? If so, that

would be the expected behavior since Redmine administrator permissions are not restricted by their project roles. See this wiki page.

#2 - 2014-09-30 15:18 - wojtek monka

Mischa The Evil wrote:

I did a quick test on current trunk but wasn't able to reproduce. Are you testing this with a user account that is marked as an administrator? If so,

that would be the expected behavior since Redmine administrator permissions are not restricted by their project roles. See this wiki page.

 You are right, my user was Administrator, with other users (not Administrators) it works as expected. Pelase close this ticket

#3 - 2014-10-04 09:33 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://www.redmine.org/projects/redmine/wiki/RedmineUsers
https://www.redmine.org/projects/redmine/wiki/RedmineUsers
http://www.tcpdf.org

